/****** Object:  Stored Procedure dbo.SRMflt_FileSystem_SingleDisk    Script Date: 3/17/2003 5:23:09 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SRMflt_FileSystem_SingleDisk]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[SRMflt_FileSystem_SingleDisk]
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  Stored Procedure dbo.SRMflt_FileSystem_SingleDisk    Script Date: 3/17/2003 5:23:09 PM ******/




/********************************
*
* SRMflt_FileSystem_SingleDisk
*
* Layout definition for File System single Disk Table
*
********************************/
CREATE Procedure SRMflt_FileSystem_SingleDisk
(
	@Data1		nvarchar(4000),
	@Resource	nvarchar(64),
	@Sort		nvarchar(64) = '',
	@SortDirection	nvarchar(4) = 'ASC'
)

AS

	Declare @SQLSelect	varchar(8000)
	Declare @SQLFrom	varchar(8000)
	Declare @SQLOrder	varchar(8000)

	Set @SQLSelect = '
	SELECT 	FileSystemGroup, 
		PartitionName, 
		ScanningEnabled,
		UserQuota,
            	CapacityKb, 
		FreeSpaceKb, 
		SpaceUsedKb, 
		PercentUsed, 
		DateFullForecast, 
		ForecastConfidenceLevel, 
		ForecastCreateDate, 
            	FileSystemType, 
		VolumeType, 
		VolumeTypeDescription, 
		VolumeLabel, 
		NumberOfFiles, 
		MaxNumberOfFiles,
		
		CapacityKb as h_CapacityKb,
		FileSystemTypeValue as h_FileSystemTypeValue,
            	CASE
			WHEN FileSystemGroup <> ''' + @Resource + ''' THEN ''TRUE'' 
			ELSE ''FALSE'' 
		END	as h_NotInGroup,
		ScanState as h_ScanState,
		HardwareType as h_HardwareType,
		ClusterAlias as h_ClusterAlias,
		CollectorVersion as h_CollectorVersion,
		Installed as h_Installed,
		ScanningEnabled as h_ScanningEnabled,
		ComputerResourceState as h_ComputerResourceState,
		FileSystemResourceState as h_FileSystemResourceState,
		FileSystemRemoveState as h_FileSystemRemoveState,
		ComputerRemoveState as h_ComputerRemoveState,
		ComputerPartition as h_ComputerPartition,
		NumberOfFiles as h_NumberofFiles, 
		MaxNumberOfFiles as h_MaxNumberofFiles, 
		DateFullForecast as h_DateFullForecast, 
		ForecastConfidenceLevel as h_ForecastConfidenceLevel, 
		ForecastCreateDate as h_ForecastCreateDate, 
		LastScanTime as h_LastScanTime,
		VolumeID as h_VolumeID,
		ManagedDiskPartitionsID as h_ManagedDiskPartitionsID
'
 	
	Set @SQLFrom = '
	FROM 	SRMfv_FileSystem
        WHERE 	ComputerPartition In (' + @Data1 + ')'
          
	Set @SQLOrder = '
	ORDER BY '

	if @Sort != ''
		Set @SQLOrder = @SQLOrder + @Sort + ' ' + @SortDirection + ', PartitionName'
	else
		Set @SQLOrder = @SQLOrder + 'PartitionName'
            

	-- Get count of returned records
	exec ('Select count(*) ' + @SQLFrom)

	SELECT   
         'File System Group Name',
         'File System Name',
         'Scanning Enabled',
         'User Quota',
         'Total File System Size',
         'Free Space',
         'Space Used',
	 '% Space Used',
         'Date Full Forecast',
         'Forecast Certainty Level',
         'Forecast Create Date',
         'File System Type',
         'Volume Type',
         'Volume Type Description',
	 'Volume Label',
	 'Number of Files',
	 'Max Files'
	 
	exec(@SQLSelect + @SQLFrom + @SQLOrder)

--GO;
GO
